@use '@angular/material' as mat;
@import "../../../assets/styles/variables";

.flex-1 {
  flex: 1;
}

.footer {
  display: flex;
  flex-direction: row;
  h6 {
    color: #0066cc;
    font-size: 8px;
  }
  .privacy-policy {
    margin-left: 300px;
  }
}
.progress-bar {
  z-index: 2;
}
.cube-loader {
  width: calc(100% + 20%);
  position: relative;
  left: -20%;
  margin-top: 100px;
}
.login-container {
  flex-flow: wrap;
  flex-direction: row;
  justify-content: center;
  height: 100vh;
  background: mat.get-color-from-palette($mat-white, 50);
  .login-left-section {
    flex: 0 0 50%;
    flex-direction: row;
    align-self: flex-start;
    justify-content: center;
    margin-top: 100px;
    height: calc(100% - 100px);
    .space-left {
      flex: 0 0 20%;
    }
    .container {
      height: 100%;
      flex: 1 0 80%;
      flex-direction: column;
      .header {
        align-items: center;
        .lang-header {
          &_title {
            color: $primary-dc;
            font-weight: bold !important;
          }

          &_select {
            background-color: mat.get-color-from-palette($mat-white, 50);
            border: 1px solid mat.get-color-from-palette($mat-white, A400, 0.5);
            border-radius: 2px;
            height: 30px;

            &_label {
              color: mat.get-color-from-palette($mat-white, A400);
              font-size: 10px;
              font-weight: 700;
              text-transform: uppercase;
              text-align: left;
            }

            &_button {
              height: 30px !important;
              min-width: 30px;
              line-height: 31px;
              padding-right: 0;
              text-transform: uppercase;
              color: mat.get-color-from-palette($mat-black, A200);
              font-size: 10px;
              font-weight: 700;

              mat-icon {
                color: mat.get-color-from-palette($mat-white, A400);
                font-size: 17px;
                line-height: 24px;
              }
            }
            &:first-of-type {
              margin-left: 180px;
            }
          }
        }
      }
      .login-title {
        color: #0066cc;
        margin: 70px 0 50px;
        &_logo {
          position: relative;
          top: -5px;
        }
        h1 {
          font-size: 2.5rem;
        }
        .app-name {
          font-weight: 700;
        }
        h5 {
          font-size: 16px;
          font-weight: 400;
          color: #b1b3b3;
        }
      }
      .login-form-container {
        max-width: 430px;
        .k-floating-label-container {
          margin: 5px 0;
        }

        .sign-in-btn {
          background-color: #0066cc;
          text-transform: none;
          font-weight: 500;
          font-size: 15px;
        }
      }
      .fill-remaining-space {
        /* This fills the remaining space, by using flexbox.
           Every toolbar row uses a flexbox row layout. */
        flex: 1 1 auto;
      }
    }
  }
  .login-logo {
    flex: 0 0 50%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../../../assets/images/login_logo.png');
  }
  .k-floating-label-container > .k-label {
    color: #73abe3;
    font-size: 12px;
    font-weight: 500;
  }
  &_language-arrow-down {
    margin-left: 6px !important;
    margin-right: 3px !important;
    margin-top: -6px;
  }
}
